<?php
class cPreciogestion{
	function mostrar_filtro($nom1,$nom2,$nom3,$nom4,$mar_nom,$limit){
		$sql="SELECT ct.tb_catalogo_id,m.tb_marca_id,pmar.tb_productomarca_id,p.tb_producto_nom,p.tb_producto_codint,m.tb_marca_nom,u.tb_unidad_abr,
		pmar.tb_productomarca_codbar,em.tb_empaque_nom,pr.tb_presentacion_nom
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		left join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		left join tb_productofamilia pfam on pfam.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_familia f on pfam.tb_familia_id = f.tb_familia_id
		WHERE p.tb_producto_xac='1' and pmar.tb_productomarca_xac = '1' ";

		$sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		
		$sql.=" GROUP BY ct.tb_catalogo_id,m.tb_marca_id,pmar.tb_productomarca_id,p.tb_producto_codint,p.tb_producto_nom,m.tb_marca_nom,u.tb_unidad_abr,em.tb_empaque_nom,pr.tb_presentacion_nom,
		pmar.tb_productomarca_codbar ORDER BY p.tb_producto_nom desc  ";
		
		
		if($limit!='')$sql.=" LIMIT 0,$limit ";
		
		
 //echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_precioxpuntoventa($cat_id,$punven_id){
		$sql="SELECT * from tb_precioproducto ppro 
		inner join tb_catalogo ct on ppro.tb_catalogo_id = ct.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        where ppro.tb_catalogo_id = '$cat_id'  ";

		if($punven_id>0)$sql.=" AND ppro.tb_puntoventa_id = '$punven_id' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	function mostrarPrecios(){
		$sql="SELECT * FROM tb_precioproducto where tb_puntoventa_id = 1 ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	function vertodas_specificaciones(){
		$sql="SELECT * FROM tb_catalogo ";

		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
}
?>